function RemoteOperationController ($scope, $rootScope, RemoteOperationService, $timeout, $location, $cookieStore) {
  if($cookieStore.get('username') == null || ($cookieStore.get('role') != 1 && $cookieStore.get('role') != 2) ) {
    $location.path("#/home");
  }
  $scope.realView = RemoteOperationService.realView;
  $scope.modal = RemoteOperationService.modal;
  $scope.loadingInProgress = false;
  $scope.animationActive = false;
  $scope.waitCountDown = 10;
  $scope.waitTimer = null;

  $scope.inactivityTimeout = RemoteOperationService.inactivityTimeout;

  $rootScope.$on('loadingResource', function(event, data) {
    $timeout(function(){
      $scope.loadingInProgress = data.isLoading;
    });
  });

  $scope.$watch('inactivityTimeout.isEnabled', function(newVal, oldVal){
    if($scope.isConnected()) {
      if(newVal === true) {
        RemoteOperationService.setConnectionTimeout();
      }
      if(newVal === false) {
        RemoteOperationService.clearConnectionTimeout();
      }
    }
  });



  $scope.establishConnection = function() {
      $scope.animationActive = true;
      $scope.waitCountDown = 10;

      if ($scope.waitTimer) {
          $timeout.cancel($scope.waitTimer);
      }

      $scope.waitTimer = $timeout($scope.waitTime, 1000);
      RemoteOperationService.establishConnection();
  };

  $scope.endConnection = function() {
    RemoteOperationService.endConnection();
  };

  $scope.hideErrorModal = function() {
    RemoteOperationService.hideErrorModal();
  };

  $scope.isConnected = function() {
    return RemoteOperationService.isConnected();
  };

  $scope.getImageSource = function() {
    $scope.realView = RemoteOperationService.realView;
  }

  $scope.waitTime = function () {

      if ($scope.waitCountDown > 0) {
          $scope.waitCountDown--;
          $scope.waitTimer = $timeout($scope.waitTime, 1000)
      } else {
          $scope.waitCountDown = 0;
      }

  };
}

angular.module('abb').controller('RemoteOperationController', RemoteOperationController);